## jmunit.framework.cldc11
Class ExceptionList

    java.lang.Object
      javax.microedition.lcdui.Displayable
          javax.microedition.lcdui.Screen
              javax.microedition.lcdui.List
                  jmunit.framework.cldc11.ExceptionList

All Implemented Interfaces:
  javax.microedition.lcdui.Choice

    public class ExceptionList

extends javax.microedition.lcdui.List

The ExceptionList class displays errors and failures reported to a GuiListener. The class was heavily influenced by the List used in J2MEUnit for displaying test results.

Since:
  JMUnit 1.1.
Author:
  C.A. Meijer

Field Summary

Fields inherited from class javax.microedition.lcdui.List
`SELECT_COMMAND`

Fields inherited from interface javax.microedition.lcdui.Choice
`EXCLUSIVE, IMPLICIT, MULTIPLE`

Constructor Summary
`ExceptionList(GuiListener listener)` Constructor.

Method Summary
`void` `addError(java.lang.String test, java.lang.Throwable t)` Adds an error to be displayed on the list.
`void` `addFailure(java.lang.String test, java.lang.Throwable t)` Adds a failure to be displayed on the list.
`void` `clearAll()` Removes all messages displayed by the list.
`void` `displayResults(javax.microedition.midlet.MIDlet midlet)` Displays the list of errors and failures.

Methods inherited from class javax.microedition.lcdui.List
`append, delete, getImage, getSelectedFlags, getSelectedIndex, getString, insert, isSelected, set, setSelectedFlags, setSelectedIndex, size`

Methods inherited from class javax.microedition.lcdui.Screen
`getTicker, getTitle, setTicker, setTitle`

Methods inherited from class javax.microedition.lcdui.Displayable
`addCommand, isShown, removeCommand, setCommandListener`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExceptionList

    public ExceptionList(GuiListener listener)

  Constructor.

  Parameters:
    `listener` - The GuiListener associated with this list.

Method Detail

### clearAll

    public void clearAll()

  Removes all messages displayed by the list.

### displayResults

    public void displayResults(javax.microedition.midlet.MIDlet midlet)

  Displays the list of errors and failures.

### addError

    public void addError(java.lang.String test,
                         java.lang.Throwable t)

  Adds an error to be displayed on the list.

  Parameters:
    `test` - The test that reported an error.
    `t` - The error.

### addFailure

    public void addFailure(java.lang.String test,
                           java.lang.Throwable t)

  Adds a failure to be displayed on the list.

  Parameters:
    `test` - The test that reported an error.
    `t` - The failure